Bug 91593 - (IDE IDE_SCSI)Kernel Panic just after CD writing with kernel 2.4.20-13.7
(IDE IDE_SCSI)Kernel Panic just after CD writing with kernel 2.4.20-13.7
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 91120 91592 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-25 04:11 EDT by Gareth Bromley
Modified: 2007-04-18 12:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gareth Bromley 2003-05-25 04:11:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20021003

Description of problem:

Kernel debugging information
--------------------[ CUT HERE ]-----------------
kernel BUG at ide-iops.c:1262!
invalid operand: 0000
sg sr_mod es1371 gameport ac97_codec soundcore nfsd lockd sunrpc autofs tms300tr
eepro100 mii ide-scsi ide-cd cdrom usb-uhci usbcore reiserfs aic7xxx sd
CPU:    0
EIP:    0010:[<c01a4778>]    Not tainted
EFLAGS: 00010002

EIP is at do_reset1 [kernel] 0x28 (2.4.20-13.7)
eax: c0372044   ebx: 00000000   ecx: f546f500   edx: c2f6c280
esi: 00000000   edi: c03720f4   ebp: c0372044   esp: c0319eb4
ds: 0018   es: 0018   ss: 0018
Process swapper (pid: 0, stackpage=c0319000)
Stack: c2f6c280 00000006 00000000 00000000 c2d9c640 c032c400 c01a491b c03720f4
       00000000 f5470743 c03720f4 f4815367 c032c400 00000002 c032c400 00000282
       00000000 00000046 f4814888 c032c400 00000002 f481f640 00000002 0005ce61
Call Trace:   [<c01a491b>] ide_do_reset [kernel] 0xb (0xc0319ecc))
[<f5470743>] idescsi_reset [ide-scsi] 0x13 (0xc0319ee0))
[<f4815367>] scsi_reset [scsi_mod] 0xd7 (0xc0319ee0))
[<f4814888>] scsi_old_times_out [scsi_mod] 0x58 (0xc0319efc))
[<f481f640>] .rodata.str1.32 [scsi_mod] 0x5bc0 (0xc0319f08))
[<f4814830>] scsi_old_times_out [scsi_mod] 0x0 (0xc0319f18))
[<c011f756>] timer_bh [kernel] 0x276 (0xc0319f1c))
[<c010d105>] timer_interrupt [kernel] 0xa5 (0xc0319f2c))
[<c011bebb>] bh_action [kernel] 0x1b (0xc0319f48))
[<c011bdc3>] tasklet_hi_action [kernel] 0c43 (0xc0319f4c))
[<c011bbeb>] do_softirq [kernel] 0x4b (0xc0319f60))
[<c0109e3c>] do_IRQ [kernel] 0xbc (0xc0319f78))
[<c0106da3>] default_idle [kernel] 0x23 (0xc0319fb8))
[<c0112cf5>] apm_cpu_idle [kernel] 0x125 (0xc0319fc4))
[<c0112bd0>] apm_cpu_idle [kernel] 0x0 (0xc0319fd0))
[<c0106d80>} default_idle [kernel] 0x0 (0xc0319fdc))
[<c0106e32>] cpu_idle [kernel] 0x52 (0xc0319fe0))
[<c0105000>] stext [kernel] 0x0 (0xc0319fec))
Code: 0f 0b ee 04 c5 f1 23 c0 80 bf 01 01 00 00 20 0f 84 93 00 00
 <0>:Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1. Use cdrecord -dev=2,0,0 <NAME OF ISO or CUE FILE>
    

Additional info:

Dev 2,0,0 is a Plextor PlexWriter 12/10/32A (IDE CD Rewriter)

CDRecord is version cdrecord-1.10-11
Comment 1 Alan Cox 2003-06-08 08:51:43 EDT
*** Bug 91592 has been marked as a duplicate of this bug. ***
Comment 2 Alan Cox 2003-06-08 09:31:04 EDT
*** Bug 91120 has been marked as a duplicate of this bug. ***
Comment 3 Need Real Name 2003-06-11 14:42:41 EDT
I would add that cdparanoia and cdda2wav will show the same problem. I am using
RH9 2.4.20-18 on a MSI K7t266 MB. When I try to digitally record from a CD and
look at dmesg I see missing interrupts. Using an older CD rom (1999 AOPEN 48X)
produces fewer missing interrupts. Using a newer CD rom 52X MEMOREX or LG
produces more missing interrupts. 
If I configure either CD as ide-scsi and try to digitally record from that CD
the kernel crashes. 
I recompiled the kernel to use APIC and it does not help.

Steve
 
Comment 4 Bugzilla owner 2004-09-30 11:40:59 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.